package com.img.rabbit.config

import androidx.compose.ui.graphics.Color
import com.img.rabbit.R
import com.img.rabbit.bean.local.ClothingBean
import com.img.rabbit.bean.local.FormatBean
import com.img.rabbit.bean.local.HairstyleBean
import com.img.rabbit.bean.local.ResizeBean

object CommonData {
    //背景颜色
    val colors = listOf(
        Color.Transparent,  // 第一个：带边框的透明
        Color.Red,          // 第二个：红色
        Color(0xFFC62828),  // 第三个：深红色
        Color(0xFFB71C1C),  // 第四个：暗红色
        Color(0xFF2196F3),  // 第五个：蓝色
        Color(0xFF1565C0),  // 第六个：深蓝色
        Color(0xFF0277BD),  // 第七个：亮蓝色
        Color.Transparent   // 最后一个：带边框的透明
    )
    // 女装
    val clothingForFemales = mutableListOf<ClothingBean>().apply {
        add(ClothingBean(index = 0, id = 0, icon = R.mipmap.ic_cutout_color_less, clothing = null,title = "无"))
        add(ClothingBean(index = 1, id = 1, icon = R.mipmap.ic_clothing_female_1, clothing = R.mipmap.ic_clothing_female_1, title = "青春"))
        add(ClothingBean(index = 2, id = 2, icon = R.mipmap.ic_clothing_female_2, clothing = R.mipmap.ic_clothing_female_2, title = "学生"))
        add(ClothingBean(index = 3, id = 3, icon = R.mipmap.ic_clothing_female_3, clothing = R.mipmap.ic_clothing_female_3, title = "职场"))
        add(ClothingBean(index = 4, id = 4, icon = R.mipmap.ic_clothing_female_4, clothing = R.mipmap.ic_clothing_female_4, title = "休闲"))
        add(ClothingBean(index = 5, id = 5, icon = R.mipmap.ic_clothing_female_5, clothing = R.mipmap.ic_clothing_female_5, title = "日韩"))
        add(ClothingBean(index = 6, id = 6, icon = R.mipmap.ic_clothing_female_6, clothing = R.mipmap.ic_clothing_female_6, title = "艺术"))
    }

    // 男装
    val clothingForMans = mutableListOf<ClothingBean>().apply {
        add(ClothingBean(index = 0, id = 7, icon = R.mipmap.ic_cutout_color_less, clothing = null, title = "无"))
        add(ClothingBean(index = 1, id = 8, icon = R.mipmap.ic_clothing_man_2, clothing = R.mipmap.ic_clothing_man_2, title = "青春"))
        add(ClothingBean(index = 2, id = 9, icon = R.mipmap.ic_clothing_man_3, clothing = R.mipmap.ic_clothing_man_3, title = "学生"))
        add(ClothingBean(index = 3, id = 10, icon = R.mipmap.ic_clothing_man_4, clothing = R.mipmap.ic_clothing_man_4, title = "职场"))
        add(ClothingBean(index = 4, id = 11, icon = R.mipmap.ic_clothing_man_5, clothing = R.mipmap.ic_clothing_man_5, title = "休闲"))
        add(ClothingBean(index = 5, id = 12, icon = R.mipmap.ic_clothing_man_6, clothing = R.mipmap.ic_clothing_man_6, title = "日韩"))
        add(ClothingBean(index = 6, id = 13, icon = R.mipmap.ic_clothing_man_7, clothing = R.mipmap.ic_clothing_man_7, title = "艺术"))
    }


    // 定义发型列表-女生
    val hairstyleForFemales = mutableListOf<HairstyleBean>().apply {
        add(HairstyleBean(index = 0, id = 0, icon = R.mipmap.ic_cutout_color_less, hairstyle = null, title = "无"))
        add(HairstyleBean(index = 1, id = 1, icon = R.mipmap.ic_hairstyle_female_1, hairstyle = R.mipmap.ic_hairstyle_female_1, title = "青春"))
        add(HairstyleBean(index = 2, id = 2, icon = R.mipmap.ic_hairstyle_female_2, hairstyle = R.mipmap.ic_hairstyle_female_2, title = "学生"))
        add(HairstyleBean(index = 3, id = 3, icon = R.mipmap.ic_hairstyle_female_3, hairstyle = R.mipmap.ic_hairstyle_female_3, title = "职场"))
        add(HairstyleBean(index = 4, id = 4, icon = R.mipmap.ic_hairstyle_female_4, hairstyle = R.mipmap.ic_hairstyle_female_4, title = "休闲"))
        add(HairstyleBean(index = 5, id = 5, icon = R.mipmap.ic_hairstyle_female_5, hairstyle = R.mipmap.ic_hairstyle_female_5, title = "日韩"))
        add(HairstyleBean(index = 6, id = 6, icon = R.mipmap.ic_hairstyle_female_6, hairstyle = R.mipmap.ic_hairstyle_female_6, title = "艺术"))
    }

    // 发型（男）
    // 定义发型列表-男生
    val hairstyleForMans = mutableListOf<HairstyleBean>().apply {
        add(HairstyleBean(index = 0, id = 7, icon = R.mipmap.ic_cutout_color_less, hairstyle = null, title = "无"))
        add(HairstyleBean(index = 1, id = 8, icon = R.mipmap.ic_hairstyle_man_1, hairstyle = R.mipmap.ic_hairstyle_man_1, title = "青春"))
        add(HairstyleBean(index = 2, id = 9, icon = R.mipmap.ic_hairstyle_man_2, hairstyle = R.mipmap.ic_hairstyle_man_2, title = "学生"))
        add(HairstyleBean(index = 3, id = 10, icon = R.mipmap.ic_hairstyle_man_3, hairstyle = R.mipmap.ic_hairstyle_man_3, title = "职场"))
        add(HairstyleBean(index = 4, id = 11, icon = R.mipmap.ic_hairstyle_man_4, hairstyle = R.mipmap.ic_hairstyle_man_4, title = "休闲"))
        add(HairstyleBean(index = 5, id = 12, icon = R.mipmap.ic_hairstyle_man_5, hairstyle = R.mipmap.ic_hairstyle_man_5, title = "日韩"))
        add(HairstyleBean(index = 6, id = 13, icon = R.mipmap.ic_hairstyle_man_6, hairstyle = R.mipmap.ic_hairstyle_man_6, title = "艺术"))
    }

    // 定义尺寸列表
    val resizes = mutableListOf<ResizeBean>().apply {
        add(ResizeBean(id = 0, size = "23x35mm", title = "标准一寸", width = 25f, height = 35f))
        add(ResizeBean(id = 1, size = "22x23mm", title = "小一寸", width = 22f, height = 32f))
        add(ResizeBean(id = 2, size = "35x53mm", title = "标准二寸", width = 35f, height = 53f))
        add(ResizeBean(id = 3, size = "33x48mm", title = "小二寸", width = 33f, height = 48f))
        add(ResizeBean(id = 4, size = "26x32mm", title = "身份证", width = 26f, height = 32f))
        add(ResizeBean(id = 5, size = "33x48mm", title = "护照", width = 33f, height = 48f))
        add(ResizeBean(id = 6, size = "22x32mm", title = "驾驶证", width = 22f, height = 32f))
        add(ResizeBean(id = 7, size = "26x32mm", title = "社保卡", width = 26f, height = 32f))
        add(ResizeBean(id = 8, size = "26x32mm", title = "四六级", width = 26f, height = 32f))
        add(ResizeBean(id = 9, size = "33x48mm", title = "司法考试", width = 33f, height = 48f))
        add(ResizeBean(id = 10, size = "40x60mm", title = "结婚证", width = 40f, height = 60f))
        add(ResizeBean(id = 11, size = "35x45mm", title = "中国签证", width = 35f, height = 45f))
    }

    // 定义尺寸列表（与您提供的示例完全匹配）
    val formats = mutableListOf<FormatBean>().apply {
        add(FormatBean(id = 0, title = "JPG"))
        add(FormatBean(id = 1, title = "PNG"))
        add(FormatBean(id = 2, title = "GIF"))
        add(FormatBean(id = 3, title = "SVG"))
    }
}